package com.dcsoft.system.api.factory;

import com.dcsoft.common.core.domain.R;
import com.dcsoft.system.api.RemoteAuthApplication;
import com.dcsoft.system.api.RemoteFileService;
import com.dcsoft.system.api.domain.LoginBody;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author wu_gu
 */
@Component
public class RemoteAuthServiceFallbackFactory implements FallbackFactory<RemoteAuthApplication> {
    @Override
    public RemoteAuthApplication create(Throwable cause) {
        return new RemoteAuthApplication() {

            @Override
            public R<Map<String, Object>> login(LoginBody form) {
                return null;
            }
        };
    }
}
